    				 /*-----------------------------------------------------+
					  |				         ClockU3D.h						|
					  |														|
					  |	   Une classe ki permet d'avoir un timer un temps	|
					  |			 soit peu + precis ke le clock()			|
					  |														|
					  | 	U2^PoPsy TeAm 2000								|
					  +-----------------------------------------------------*/

#ifndef _Clock_U3D3_H
#define _Clock_U3D3_H


class ClockU3D{

	static Udouble	TimeForOneTick	;
	static Udouble	BaseTime		;
	static U32		lowPart			;
	static U32		highPart		;

public:

	static void		Initialise()			;
	static void		Reset()					{BaseTime=0.0f;}
	static void		IncTime( Udouble time )	{BaseTime+=time;}
	static double	GetTime()				;

};

#endif
